OpenVDB 12.1.0

Loading...
Searching...
No Matches
ChangeBackground.h File Reference

Efficient multi-threaded replacement of the background values in tree. More...

`#include <openvdb/math/Math.h>`
`#include <openvdb/Types.h>`
`#include <openvdb/tree/NodeManager.h>`
`#include <openvdb/openvdb.h>`

Go to the source code of this file.

## Classes
class | ChangeBackgroundOp< TreeOrLeafManagerT >
class | ChangeLevelSetBackgroundOp< TreeOrLeafManagerT >

## Namespaces
namespace | openvdb
namespace | openvdb::v12_1
namespace | openvdb::v12_1::tools

## Functions
template<typename TreeOrLeafManagerT>
void | changeBackground (TreeOrLeafManagerT &tree, const typename TreeOrLeafManagerT::ValueType &background, bool threaded=true, size_t grainSize=32)
| Replace the background value in all the nodes of a tree.
template<typename TreeOrLeafManagerT>
void | changeLevelSetBackground (TreeOrLeafManagerT &tree, const typename TreeOrLeafManagerT::ValueType &halfWidth, bool threaded=true, size_t grainSize=32)
| Replace the background value in all the nodes of a floating-point tree containing a symmetric narrow-band level set.
template<typename TreeOrLeafManagerT>
void | changeAsymmetricLevelSetBackground (TreeOrLeafManagerT &tree, const typename TreeOrLeafManagerT::ValueType &outsideWidth, const typename TreeOrLeafManagerT::ValueType &insideWidth, bool threaded=true, size_t grainSize=32)
| Replace the background values in all the nodes of a floating-point tree containing a possibly asymmetric narrow-band level set.

## Detailed Description

Efficient multi-threaded replacement of the background values in tree.

Author
  Ken Museth